package com.crm.activity.task;

import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 *
 * @author y
 * @create 2022/7/22
 */
@SpringBootTest
@RunWith(SpringJUnit4ClassRunner.class)
public class ActivityRaceTaskTest {

    @Autowired
    private ActivityRaceTask activityRaceTask;


    @Test
    public void generateMonthlyRule(){
        try {
            activityRaceTask.generateMonthlyRule();
        }catch (Exception e){
            e.printStackTrace();
        }
    }

    @Test
    public void calcProfit(){
        try {
            activityRaceTask.calcProfit();
        }catch (Exception e){
            e.printStackTrace();
        }
    }
}
